%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::PPPort\\)$
%global __requires_exclude %__requires_exclude|^perl\\(ExtUtils::MakeMaker\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::Remove\\)$
%global __requires_exclude %__requires_exclude|^perl\\(File::Spec\\)$
%global __requires_exclude %__requires_exclude|^perl\\(YAML::Tiny\\)$

Summary:       Standalone, extensible Perl module installer
Name:          perl-Module-Install
Version:       1.21
Release:       2%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Module-Install
Source0:       https://cpan.metacpan.org/authors/id/E/ET/ETHER/Module-Install-%{version}.tar.gz

Patch3000:     Module-Install-1.19-Fix-Perl-version-lookup-with-Module-CoreList.patch

BuildRequires: coreutils make perl-generators perl-interpreter perl(lib) perl(strict) perl(warnings)
BuildRequires: perl(Config) perl(Cwd) perl(Devel::PPPort) perl(ExtUtils::MakeMaker) perl(ExtUtils::Manifest)
BuildRequires: perl(ExtUtils::MM_Unix) perl(Fcntl) perl(File::Basename) perl(File::Find) perl(File::Path)
BuildRequires: perl(File::Remove) perl(File::Spec) perl(File::Temp) perl(FileHandle) perl(FindBin)
BuildRequires: perl(Module::CoreList) perl(Module::ScanDeps) perl(Parse::CPAN::Meta) perl(vars) perl(YAML::Tiny)
BuildRequires: perl(autodie) perl(ExtUtils::MM) perl(Symbol) perl(Test::More) perl(utf8)
Requires:      perl(Archive::Zip) perl(Carp) perl(CPAN)
Requires:      perl(Devel::PPPort) perl(ExtUtils::MakeMaker) perl(ExtUtils::MM_Unix) perl(File::Remove)
Requires:      perl(File::Spec) perl(File::Temp) perl(FileHandle) perl(FindBin) perl(Module::Build)
Requires:      perl(Module::CoreList) perl(Module::ScanDeps) perl(Parse::CPAN::Meta) perl(Socket) perl(YAML::Tiny)
Recommends:    perl(CPANPLUS::Backend)
BuildArch:     noarch

%description
Module::Install is a package for writing installers for CPAN (or CPAN-like) distributions that are
clean, simple, minimalist, act in a strictly correct manner with ExtUtils::MakeMaker, and will run
on any Perl installation version 5.005 or newer.

%prep
%autosetup -n Module-Install-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
rm -f %{buildroot}/blib/lib/auto/share/dist/Module-Install/dist_file.txt
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.21-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.21-1
- Upgrade to upstream version 1.21
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 1.19-1
- initial build
